Subject: Re: shortcut to start xemacs in bash cygwin window
From: Edwin Goei <[email-masked]>
To: [email-masked]
Cc: Edwin Goei <[email-masked]>
Date: Sun, 28 Mar 2004 15:48:45 -0800

Igor Pechtchanski wrote:

> On Sun, 28 Mar 2004, David Rothenberger wrote:
> 
> 
>>Edwin Goei wrote:
>>
>>
>>>I would like to be able to have a Windows shortcut that will do the
>>>equivalent of the following: 1) run cygwin.bat 2) execute "xemacs &"
>>>in the cygwin bash window 3) exit the cygwin bash window 4) leaving
>>>xemacs running.
>>>
>>>I would like to start xemacs in this way so I can have my default bash
>>>enviroment initialized in xemacs.  Any ideas on to do this?
>>>
>>
>>I use the following.
>>
>>% cat xemacs.bat
>>@start /min c:\cygwin\bin\bash --login -c 'cygstart /usr/local/bin/xemacs'
>>
>>Of course, you'll need to adjust the paths to match your environment.
>>Once you make the batch file, you can make a shortcut to it in the usual
>>way.
>>
>>Dave
> 
> 
> FWIW, you can dispense with the batch file, and simply make a shortcut to
> "C:\cygwin\bin\bash --login -c 'cygstart /usr/bin/xemacs'"[*].  You can
> then set the shortcut to start minimized.
> 	Igor
> [*] I put /usr/bin/xemacs here, since xemacs is now a Cygwin package.

Thanks.  I changed my shortcut and it seems to work, but I noticed that 
the dos window indicates some number of errors from bash, but then 
quickly goes away.  Is there a way for me to keep the window open so I 
can see what the errors are?  I did not have the shortcut set to start 
minimized, here.

Also, the last time I tried the xemacs that comes with cygwin, there 
were problems with fonts and so I installed the version from xemacs.org 
instead.

-Edwin

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/